import { AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy } from "@angular/core";
import { ClickOutsideMasterService } from "./click-outside-master.service";
export declare class ClickOutsideDirective implements OnDestroy, AfterViewInit {
    elementRef: ElementRef;
    private _ngZone;
    private _master;
    get currentClick(): MouseEvent;
    set enabled(enabled: boolean);
    alwaysTrigger: boolean;
    readonly clickOutside: EventEmitter<Event>;
    private _currentClick;
    private _enabled;
    private _initialized;
    constructor(elementRef: ElementRef, _ngZone: NgZone, _master: ClickOutsideMasterService);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick: (event: MouseEvent) => void;
}
